Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble
Class PebbleContext

    java.lang.Object
      net.sourceforge.pebble.PebbleContext

    public class PebbleContext

extends java.lang.Object

A bean representing the Pebble context.

Author:
  Simon Brown

Method Summary
`java.lang.String` | `getBuildDate()` Gets the date that Pebble was built.
`java.lang.String` | `getBuildVersion()` Gets the version of Pebble being used.
`Configuration` | `getConfiguration()`
`static PebbleContext` | `getInstance()`
`long` | `getMemoryUsageInKB()`
`long` | `getTotalMemoryInKB()`
`RelativeDate` | `getUptime()` Gets the amount of time that Pebble has been running for.
`java.lang.String` | `getWebApplicationRoot()`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setWebApplicationRoot(java.lang.String webApplicationRoot)` Sets the directory where themes are located.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PebbleContext getInstance()

### getBuildVersion

    public java.lang.String getBuildVersion()

  Gets the version of Pebble being used.

  Returns:
    the version number as a String

### getBuildDate

    public java.lang.String getBuildDate()

  Gets the date that Pebble was built.

  Returns:
    the date as a String

### getUptime

    public RelativeDate getUptime()

  Gets the amount of time that Pebble has been running for.

  Returns:
    a number of milliseconds

### getMemoryUsageInKB

    public long getMemoryUsageInKB()

### getTotalMemoryInKB

    public long getTotalMemoryInKB()

### getConfiguration

    public Configuration getConfiguration()

### setConfiguration

    public void setConfiguration(Configuration configuration)

### setWebApplicationRoot

    public void setWebApplicationRoot(java.lang.String webApplicationRoot)

  Sets the directory where themes are located.

  Parameters:
    `webApplicationRoot` - the absolute path to the webapp root on disk

### getWebApplicationRoot

    public java.lang.String getWebApplicationRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.